Bug 25984 - libgomp installs include/omp_lib.f90 even if Fortran is not built
Summary: libgomp installs include/omp_lib.f90 even if Fortran is not built
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libgomp (show other bugs)
Version: 4.2.0
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-26 23:04 UTC by Gerald Pfeifer
Modified: 2006-02-15 14:50 UTC (History)
2 users (show)

See Also:
Host: i686-pc-linux-gnu
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-01-27 14:36:34


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2006-01-26 23:04:34 UTC
I found that libgomp installs $PREFIX/include/omp_lib.f90, even in case
the Fortran frontend has not been configured nor built, for example when
configuring with --enable-languages=c,c++,objc,java --disable-libgcj.

include/omp_lib.mod and include/omp_lib_kinds.mod are not installed in
this case, so I assume installing include/omp_lib.f90 is just an oversight?
Comment 1 gdr@cs.tamu.edu 2006-01-26 23:16:28 UTC
Subject: Re:   New: libgomp installs include/omp_lib.f90 even if Fortran is not built

"gerald at pfeifer dot com" <gcc-bugzilla@gcc.gnu.org> writes:

| I found that libgomp installs $PREFIX/include/omp_lib.f90, even in case

should not this be versioned as other components do (e.g. C++ header
files)?  

-- Gaby
Comment 2 Andrew Pinski 2006-01-26 23:21:33 UTC
(In reply to comment #1)
> should not this be versioned as other components do (e.g. C++ header
> files)?  

That is a different bug which was already filed, PR 25938.
Comment 3 Andrew Pinski 2006-01-27 14:36:34 UTC
Confirmed.
Comment 4 Jakub Jelinek 2006-02-15 07:46:45 UTC
Subject: Bug 25984

Author: jakub
Date: Wed Feb 15 07:46:39 2006
New Revision: 111018

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=111018
Log:
	PR libgomp/25938
	PR libgomp/25984
fortran/
	* Make-lang.in (install-finclude-dir): New goal.
	(fortran.install-common): Depend on install-finclude-dir.
	* lang-specs.h: If not -nostdinc, add -I finclude.
libgomp/
	* Makefile.am (fincludedir): New variable.
	(nodist_include_HEADERS): Remove Fortran files.
	(nodist_finclude_HEADERS): New variable.
	* Makefile.in: Regenerated.

Modified:
    trunk/gcc/fortran/ChangeLog
    trunk/gcc/fortran/Make-lang.in
    trunk/gcc/fortran/lang-specs.h
    trunk/libgomp/ChangeLog
    trunk/libgomp/Makefile.am
    trunk/libgomp/Makefile.in

Comment 5 Andrew Pinski 2006-02-15 14:50:53 UTC
Fixed.